## tmuxp 1.5.0a

=== Makefile ===
PY_FILES= find . -type f -not -path '*/\.*' | grep -i '.*[.]py$$' 2> /dev/null

entr_warn: @echo "----------------------------------------------------------"
	@echo "     ! File watching functionality non-operational !      "
	@echo "                                                          "
	@echo "Install entr(1) to automatically run tasks on file change."
	@echo "See http://entrproject.org/                               "
	@echo "----------------------------------------------------------"

isort:
	isort `${PY_FILES}`

black:
	black `${PY_FILES}` --skip-string-normalization

test:
	py.test $(test)

watch_test:
	if command -v entr > /dev/null; then ${PY_FILES} | entr -c $(MAKE) test; else $(MAKE) test entr_warn; fi

vulture:
	vulture tmuxp

watch_vulture:
	if command -v entr > /dev/null; then ${PY_FILES} | entr -c $(MAKE) vulture; else $(MAKE) vulture entr_warn; fi

build_docs:
	cd doc && $(MAKE) html

watch_docs:
	cd doc && $(MAKE) watch_docs

flake8:
	flake8 tmuxp tests

watch_flake8:
	if command -v entr > /dev/null; then ${PY_FILES} | entr -c $(MAKE) flake8; else $(MAKE) flake8 entr_warn; fi

sync_pipfile:
	pipenv install --skip-lock --dev -r requirements/doc.txt && \
	pipenv install --skip-lock --dev -r requirements/dev.txt && \
	pipenv install --skip-lock --dev -r requirements/test.txt && \
	pipenv install --skip-lock --dev -e . && \
	pipenv install --skip-lock -r requirements/base.txt

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
WATCH_FILES= find .. -type f -not -path '*/\.*' | grep -i '.*[.]rst\|CHANGES\|TODO\|.*conf\.py\|.*[.]py$$' 2> /dev/null
PYVERSION=$(shell python -c "import sys;v=sys.version_info[0];sys.stdout.write(str(v))")
HTTP_PORT     = 8031

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tmuxp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tmuxp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/tmuxp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/tmuxp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

checkbuild:
	rm -rf $(BUILDDIR)
	$(SPHINXBUILD) -n -q ./ $(BUILDDIR)

watch:
	if command -v entr > /dev/null; then ${WATCH_FILES} | entr -c $(MAKE) html; else $(MAKE) html; fi

serve:
	@echo '=============================================================='
	@echo
	@echo 'docs server running at http://0.0.0.0:${HTTP_PORT}/_build/html'
	@echo
	@echo '=============================================================='
	@if test ${PYVERSION} -eq 2; then $(MAKE) serve_py2; else make serve_py3; fi

serve_py2:
	python -m SimpleHTTPServer ${HTTP_PORT}

serve_py3:
	python -m http.server ${HTTP_PORT}

## tmuxp 1.2.6

=== debian/changelog ===
tmuxp (1.2.6-2) unstable; urgency=medium

  * Target usntable

 -- Sebastien Delafond <seb@debian.org>  Wed, 21 Jun 2017 17:48:37 +0200

tmuxp (1.2.6-1) experimental; urgency=medium

  * Imported Upstream version 1.2.6

 -- Sebastien Delafond <seb@debian.org>  Sat, 25 Feb 2017 09:33:10 +0100

tmuxp (1.2.5-2) experimental; urgency=medium

  * Add Vcs-* fields

 -- Sebastien Delafond <seb@debian.org>  Sun, 19 Feb 2017 12:12:07 +0100

tmuxp (1.2.5-1) experimental; urgency=medium

  * NEW package (Closes: #774055)
  * Imported Upstream version 1.2.5
  * Take maintainership
  * Fix descriptions
  * Bump-up Standards-Version
  * Add copyright file

 -- Sebastien Delafond <seb@debian.org>  Sat, 18 Feb 2017 12:35:41 +0100

tmuxp (1.2.4-0ubuntu1~ubuntu17.04.1~ppa1) zesty; urgency=medium

  * bump version
  * fix deps
  * New upstream release
  * No-change backport to zesty

 -- Ivan Borzenkov <ivan1986@list.ru>  Wed, 01 Feb 2017 01:03:07 +0300

tmuxp (1.2.3-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 01 Jan 2017 16:10:18 +0300

=== debian/control ===
Source: tmuxp
Maintainer: Sebastien Delafond <seb@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools (>= 0.6b3), python3-setuptools, python-all (>= 2.6.6-3), python3-all, debhelper (>= 9),
    python-kaptan, python3-kaptan,
    python-libtmux, python3-libtmux,
    python-click, python3-click
Standards-Version: 3.9.8
Homepage: http://github.com/tony/tmuxp/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tmuxp.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tmuxp.git

Package: tmuxp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-tmuxp
Description: tmux session manager
 tmux session manager allowing both JSON and YAML configuration
 formats. Available features:
  - allows both simple and very elaborate configs
  - can store and load multiple sessions
  - can custom startup scripts (such as installing project dependencies
    before loading tmux)
  - session freezing: snapshot your current tmux layout, pane paths,
    and window/session names, and dump the result as a tmuxp
    configuration
 .
 This is a dependency package

Package: python-tmuxp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: tmux session manager (Python 2)
 tmux session manager allowing both JSON and YAML configuration
 formats. Available features:
  - allows both simple and very elaborate configs
  - can store and load multiple sessions
  - can custom startup scripts (such as installing project dependencies
    before loading tmux)
  - session freezing: snapshot your current tmux layout, pane paths,
    and window/session names, and dump the result as a tmuxp
    configuration

Package: python3-tmuxp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: tmux session manager (Python 3)
 tmux session manager allowing both JSON and YAML configuration
 formats. Available features:
  - allows both simple and very elaborate configs
  - can store and load multiple sessions
  - can custom startup scripts (such as installing project dependencies
    before loading tmux)
  - session freezing: snapshot your current tmux layout, pane paths,
    and window/session names, and dump the result as a tmuxp
    configuration
 .
 This is the Python 3 version

## tmuxp 1.3.1

=== debian/changelog ===
tmuxp (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1

 -- Sebastien Delafond <seb@debian.org>  Tue, 04 Jul 2017 14:37:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: dh-python, python-setuptools (>= 0.6b3), python3-setuptools, python-all (>= 2.6.6-3), python3-all, debhelper (>= 9),
     python-kaptan, python3-kaptan,
-    python-libtmux, python3-libtmux,
+    python-libtmux, python3-libtmux (>= 0.7.3),
     python-click, python3-click
 Standards-Version: 3.9.8
 Homepage: http://github.com/tony/tmuxp/

## tmuxp 1.3.4

=== debian/changelog ===
tmuxp (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Fri, 27 Oct 2017 09:11:21 +0200

tmuxp (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3

 -- Sebastien Delafond <seb@debian.org>  Sat, 07 Oct 2017 10:42:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     python-kaptan, python3-kaptan,
     python-libtmux, python3-libtmux (>= 0.7.3),
     python-click, python3-click
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://github.com/tony/tmuxp/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tmuxp.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tmuxp.git

## tmuxp 1.3.5

=== debian/changelog ===
tmuxp (1.3.5-2) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Feb 2018 17:18:27 +0100

tmuxp (1.3.5-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.3.5

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Jan 2018 11:35:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
     python-click, python3-click
 Standards-Version: 4.0.0
 Homepage: http://github.com/tony/tmuxp/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tmuxp.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tmuxp.git
+Vcs-Git: https://salsa.debian.org/debian/tmuxp
+Vcs-Browser: https://salsa.debian.org/debian/tmuxp
 
 Package: tmuxp
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

d = $(CURDIR)/debian/tmuxp/usr/bin
export PYBUILD_NAME=tmuxp
export PYBUILD_AFTER_INSTALL_python2 = rm -rv {destdir}/usr/bin
export PYBUILD_AFTER_INSTALL_python3 = mkdir -pv $d && mv -v {destdir}/usr/bin/tmuxp $d

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/tmuxp/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/tmuxp/tmuxp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tmuxp 1.4.0

=== debian/changelog ===
tmuxp (1.4.0-2) unstable; urgency=medium

  * Depend on python3-pkg-resources (Closes: #904769)

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Aug 2018 08:05:09 +0200

tmuxp (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Use https for Vcs-Git URL
  * Use https for homepage URL
  * Use https for copyright-format URL
  * Use http for watch URL
  * Bump-up Standards-Version
  * Change section from python to utils

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Mar 2018 13:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: tmuxp
 Maintainer: Sebastien Delafond <seb@debian.org>
-Section: python
+Section: utils
 Priority: optional
 Build-Depends: dh-python, python-setuptools (>= 0.6b3), python3-setuptools, python-all (>= 2.6.6-3), python3-all, debhelper (>= 9),
     python-kaptan, python3-kaptan,
     python-libtmux, python3-libtmux (>= 0.7.3),
     python-click, python3-click
-Standards-Version: 4.0.0
-Homepage: http://github.com/tony/tmuxp/
-Vcs-Git: https://salsa.debian.org/debian/tmuxp
+Standards-Version: 4.1.3
+Homepage: https://github.com/tony/tmuxp/
+Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
 Vcs-Browser: https://salsa.debian.org/debian/tmuxp
 
 Package: tmuxp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-tmuxp
+Depends: ${misc:Depends}, ${python3:Depends}, python3-tmuxp, python3-pkg-resources
 Description: tmux session manager
  tmux session manager allowing both JSON and YAML configuration
  formats. Available features:
@@ -43,7 +43,7 @@
 
 Package: python3-tmuxp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration
  formats. Available features:

## tmuxp 1.5.0a

=== debian/changelog ===
tmuxp (1.5.0a-1) unstable; urgency=medium

  * New upstream release (Closes: #919167)

 -- Sebastien Delafond <seb@debian.org>  Wed, 16 Jan 2019 18:00:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,14 @@
 Priority: optional
 Build-Depends: dh-python, python-setuptools (>= 0.6b3), python3-setuptools, python-all (>= 2.6.6-3), python3-all, debhelper (>= 9),
     python-kaptan, python3-kaptan,
-    python-libtmux, python3-libtmux (>= 0.7.3),
-    python-click, python3-click
+    python-libtmux (>= 0.8.0), python3-libtmux (>= 0.8.0),
+    python-click, python3-click,
+    python-flake8, python3-flake8,
+    python-hypothesis, python3-hypothesis,
+    python-isort, python3-isort,
+    python-pytest, python3-pytest,
+    tmux,
+    vulture
 Standards-Version: 4.1.3
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 export PYBUILD_NAME=tmuxp
 export PYBUILD_AFTER_INSTALL_python2 = rm -rv {destdir}/usr/bin
 export PYBUILD_AFTER_INSTALL_python3 = mkdir -pv $d && mv -v {destdir}/usr/bin/tmuxp $d
+export HYPOTHESIS_DATABASE_FILE=$(CURDIR)/debian/hypothesis
+export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis
+export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tmuxp/tmuxp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tmuxp 1.5.4

=== debian/changelog ===
tmuxp (1.5.4-1) unstable; urgency=medium

  * Bump up Standards-Version
  * Remove python2 package
  * Remove obsolete HYPOTHESIS_DATABASE_FILE environment variable
  * New upstream version 1.5.4

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Dec 2019 10:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: dh-python, python-setuptools (>= 0.6b3), python3-setuptools, python-all (>= 2.6.6-3), python3-all, debhelper (>= 9),
-    python-kaptan, python3-kaptan,
-    python-libtmux (>= 0.8.0), python3-libtmux (>= 0.8.0),
-    python-click, python3-click,
-    python-flake8, python3-flake8,
-    python-hypothesis, python3-hypothesis,
-    python-isort, python3-isort,
-    python-pytest, python3-pytest,
+Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9),
+    python3-kaptan,
+    python3-libtmux (>= 0.8.0),
+    python3-click,
+    python3-flake8,
+    python3-hypothesis,
+    python3-isort,
+    python3-pytest,
     tmux,
     vulture
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
 Vcs-Browser: https://salsa.debian.org/debian/tmuxp
@@ -33,20 +33,6 @@
  .
  This is a dependency package
 
-Package: python-tmuxp
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Description: tmux session manager (Python 2)
- tmux session manager allowing both JSON and YAML configuration
- formats. Available features:
-  - allows both simple and very elaborate configs
-  - can store and load multiple sessions
-  - can custom startup scripts (such as installing project dependencies
-    before loading tmux)
-  - session freezing: snapshot your current tmux layout, pane paths,
-    and window/session names, and dump the result as a tmuxp
-    configuration
-
 Package: python3-tmuxp
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},

## tmuxp 1.7.0

=== debian/changelog ===
tmuxp (1.7.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.7.0
  * Bump-up Standards-Version
  * Use debhelper-compat
  * Update d/watch version
  * Remove unused lintian override

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Feb 2021 10:19:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all,
     python3-kaptan,
     python3-libtmux (>= 0.8.0),
     python3-click,
@@ -12,7 +12,7 @@
     python3-pytest,
     tmux,
     vulture
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
 Vcs-Browser: https://salsa.debian.org/debian/tmuxp

## tmuxp 1.9.2

=== debian/changelog ===
tmuxp (1.9.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Clean-up dependencies
  * New upstream version 1.9.2

 -- Sebastien Delafond <seb@debian.org>  Sun, 10 Oct 2021 09:32:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all,
-    python3-kaptan,
-    python3-libtmux (>= 0.8.0),
-    python3-click,
-    python3-flake8,
-    python3-hypothesis,
-    python3-isort,
-    python3-pytest,
-    tmux,
-    vulture
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ python3-all,
+ python3-click,
+ python3-flake8,
+ python3-hypothesis,
+ python3-isort,
+ python3-kaptan,
+ python3-libtmux (>= 0.8.0),
+ python3-pytest,
+ python3-setuptools,
+ tmux,
+ vulture,
 Standards-Version: 4.5.1
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
@@ -19,7 +23,11 @@
 
 Package: tmuxp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-tmuxp, python3-pkg-resources
+Depends:
+ python3-pkg-resources,
+ python3-tmuxp,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: tmux session manager
  tmux session manager allowing both JSON and YAML configuration
  formats. Available features:
@@ -35,7 +43,9 @@
 
 Package: python3-tmuxp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration
  formats. Available features:

=== debian/rules ===
#!/usr/bin/make -f

d = $(CURDIR)/debian/tmuxp/usr/bin
export PYBUILD_NAME=tmuxp
export PYBUILD_AFTER_INSTALL_python2 = rm -rv {destdir}/usr/bin
export PYBUILD_AFTER_INSTALL_python3 = mkdir -pv $d && mv -v {destdir}/usr/bin/tmuxp $d
export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## tmuxp 1.11.0

=== debian/changelog ===
tmuxp (1.11.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.11.0
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Thu, 28 Apr 2022 09:55:55 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-setuptools,
  tmux,
  vulture,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
 Vcs-Browser: https://salsa.debian.org/debian/tmuxp

## tmuxp 1.17.1

=== debian/changelog ===
tmuxp (1.17.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.17.1
  * Bump-up Standards-Version
  * Bump-up dependency on python3-libtmux to 0.15.8

 -- Sebastien Delafond <seb@debian.org>  Sun, 23 Oct 2022 20:14:10 +0200

tmuxp (1.11.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.11.1

 -- Sebastien Delafond <seb@debian.org>  Fri, 06 May 2022 08:18:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,13 @@
  python3-all,
  python3-click,
  python3-flake8,
- python3-hypothesis,
  python3-isort,
  python3-kaptan,
- python3-libtmux (>= 0.8.0),
- python3-pytest,
+ python3-libtmux (>= 0.15.8),
  python3-setuptools,
  tmux,
  vulture,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
 Vcs-Browser: https://salsa.debian.org/debian/tmuxp

## tmuxp 1.18.2

=== debian/changelog ===
tmuxp (1.18.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.18.2

 -- Sebastien Delafond <seb@debian.org>  Thu, 24 Nov 2022 17:19:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-flake8,
  python3-isort,
  python3-kaptan,
- python3-libtmux (>= 0.15.8),
+ python3-libtmux (>= 0.15.10),
  python3-setuptools,
  tmux,
  vulture,

## tmuxp 1.19.1

=== debian/changelog ===
tmuxp (1.19.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.19.1
  * d/control: version-depend on recent python3-libtmux

 -- Sebastien Delafond <seb@debian.org>  Sun, 18 Dec 2022 16:52:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-flake8,
  python3-isort,
  python3-kaptan,
- python3-libtmux (>= 0.15.10),
+ python3-libtmux (>= 0.16.1-1),
  python3-setuptools,
  tmux,
  vulture,
@@ -43,6 +43,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
+ python3-tmuxp (>= 0.16.1-1),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

## tmuxp 1.27.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#
SHELL := /bin/bash
HTTP_PORT     = 8031
WATCH_FILES= find .. -type f -not -path '*/\.*' | grep -i '.*[.]\(rst\|md\)\$\|.*[.]py\$\|CHANGES\|TODO\|.*conf\.py' 2> /dev/null

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = poetry run sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tmuxp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tmuxp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/tmuxp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/tmuxp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

redirects:
	$(SPHINXBUILD) -b rediraffewritediff $(ALLSPHINXOPTS) $(BUILDDIR)/redirects
	@echo
	@echo "Build finished. The redirects are in rediraffe_redirects."

checkbuild:
	rm -rf $(BUILDDIR)
	$(SPHINXBUILD) -n -q ./ $(BUILDDIR)

watch:
	if command -v entr > /dev/null; then ${WATCH_FILES} | entr -c $(MAKE) html; else $(MAKE) html; fi

serve:
	@echo '=============================================================='
	@echo
	@echo 'docs server running at http://localhost:${HTTP_PORT}/'
	@echo
	@echo '=============================================================='
	@$(MAKE) serve_py3

serve_py3:
	python -m http.server ${HTTP_PORT} --directory _build/html

dev:
	$(MAKE) -j watch serve

start:
	poetry run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} $(O)

design:
	# This adds additional watch directories (for _static file changes) and disable incremental builds
	poetry run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} --watch "." -a $(O)

=== debian/changelog ===
tmuxp (1.27.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.27.0
  * d/control: version-depend on recent python3-libtmux

 -- Sebastien Delafond <seb@debian.org>  Thu, 02 Feb 2023 08:42:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-flake8,
  python3-isort,
  python3-kaptan,
- python3-libtmux (>= 0.16.1-1),
+ python3-libtmux (>= 0.21.0-1),
  python3-setuptools,
  tmux,
  vulture,
@@ -43,7 +43,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- python3-tmuxp (>= 0.16.1-1),
+ python3-libtmux (>= 0.21.0-1),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

=== debian/rules ===
#!/usr/bin/make -f

d = $(CURDIR)/debian/tmuxp/usr/bin
export PYBUILD_NAME=tmuxp
export PYBUILD_AFTER_INSTALL_python3 = mkdir -pv $d && mv -v {destdir}/usr/bin/tmuxp $d
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-setuptools, python3-all, python3-hypothesis, python3-pytest, python3-pytest-rerunfailures, python3-pytest-mock,

## tmuxp 1.31.0

=== debian/changelog ===
tmuxp (1.31.0-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/hush-login-messages.patch:
      Hush login messages to avoid test failure in Ubuntu

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Nov 2023 17:21:05 +0000

tmuxp (1.31.0-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: do not build-depend on python3-kaptan
  * d/control: build-depend on python3-libtmux >= 0.23.2-1~1 to assuage lintian

 -- Sebastien Delafond <seb@debian.org>  Thu, 05 Oct 2023 07:31:49 +0200

tmuxp (1.31.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.31.0
  * d/control: depend on python3-libtmux >= 0.23.2-1
  * d/control: build-depend on pybuild-plugin-pyproject and python3-poetry-core
  * d/control: bump-up Standards-Version
  * d/tests: include test_automatic_rename_option, exclude test_load_zsh_autotitle_warning

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Sep 2023 10:14:09 +0200

tmuxp (1.27.0-1ubuntu1) lunar; urgency=medium

  * Hush login messages to avoid test failure in Ubuntu

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Apr 2023 06:54:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: tmuxp
-Maintainer: Sebastien Delafond <seb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
 Section: utils
 Priority: optional
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
  python3-click,
  python3-flake8,
  python3-isort,
- python3-kaptan,
- python3-libtmux (>= 0.21.0-1),
+ python3-libtmux (>= 0.23.2-1~),
  python3-setuptools,
  tmux,
  vulture,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
 Vcs-Browser: https://salsa.debian.org/debian/tmuxp
@@ -43,7 +45,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- python3-libtmux (>= 0.21.0-1),
+ python3-libtmux (>= 0.23.2-1),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

## tmuxp 1.34.0

=== debian/changelog ===
tmuxp (1.34.0-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * test_environment_variables: raise timeout from 0.3s to 3s (Closes: #1060775)

 -- Sebastien Delafond <seb@debian.org>  Wed, 17 Jan 2024 11:08:43 +0100

tmuxp (1.34.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.34.0

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Dec 2023 11:24:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tmuxp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
+Maintainer: Sebastien Delafond <seb@debian.org>
 Section: utils
 Priority: optional
 Build-Depends:
@@ -12,7 +11,7 @@
  python3-click,
  python3-flake8,
  python3-isort,
- python3-libtmux (>= 0.23.2-1~),
+ python3-libtmux (>= 0.25.0-1~),
  python3-setuptools,
  tmux,
  vulture,

## tmuxp 1.38.0

=== debian/changelog ===
tmuxp (1.38.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/hush-login-messages.patch:
      Hush login messages to avoid test failure in Ubuntu

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Feb 2024 14:04:57 +0000

tmuxp (1.38.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.38.0
  * d/control: depend on python-libtmux >= 0.30

 -- Sebastien Delafond <seb@debian.org>  Sun, 18 Feb 2024 10:34:03 +0100

tmuxp (1.34.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/hush-login-messages.patch:
      Hush login messages to avoid test failure in Ubuntu

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 12 Jan 2024 12:54:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tmuxp
-Maintainer: Sebastien Delafond <seb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
 Section: utils
 Priority: optional
 Build-Depends:
@@ -11,7 +12,7 @@
  python3-click,
  python3-flake8,
  python3-isort,
- python3-libtmux (>= 0.25.0-1~),
+ python3-libtmux (>= 0.30.0-1~),
  python3-setuptools,
  tmux,
  vulture,

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-setuptools, python3-all, python3-hypothesis, python3-pytest, python3-pytest-rerunfailures, python3-pytest-mock

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tmuxp/tmuxp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tmuxp 1.47.0

=== debian/changelog ===
tmuxp (1.47.0-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: drop dependency on python3-pkg-resources (Closes: #1083798)
  * d/control: bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Tue, 08 Oct 2024 11:34:07 +0200

tmuxp (1.47.0-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * debian/tests: skip test_environment_variables (Closes: #1060775)

 -- Sebastien Delafond <seb@debian.org>  Fri, 14 Jun 2024 11:28:48 +0200

tmuxp (1.47.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.47.0
  * d/control: require python3-libtmux >= 0.37.0
  
 -- Sebastien Delafond <seb@debian.org>  Tue, 14 May 2024 07:24:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tmuxp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
+Maintainer: Sebastien Delafond <seb@debian.org>
 Section: utils
 Priority: optional
 Build-Depends:
@@ -12,11 +11,11 @@
  python3-click,
  python3-flake8,
  python3-isort,
- python3-libtmux (>= 0.30.0-1~),
+ python3-libtmux (>= 0.37.0-1~),
  python3-setuptools,
  tmux,
  vulture,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
 Vcs-Browser: https://salsa.debian.org/debian/tmuxp
@@ -24,7 +23,6 @@
 Package: tmuxp
 Architecture: all
 Depends:
- python3-pkg-resources,
  python3-tmuxp,
  ${misc:Depends},
  ${python3:Depends},

## tmuxp 1.49.0

=== debian/changelog ===
tmuxp (1.49.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.49.0
  * Build-Depend on python3-hatchling instead of python3-poetry-core
  * Adjust versioned dependency on python3-libtmux

 -- Sebastien Delafond <seb@debian.org>  Thu, 05 Dec 2024 13:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
- python3-poetry-core,
  python3-click,
  python3-flake8,
+ python3-hatchling,
  python3-isort,
- python3-libtmux (>= 0.37.0-1~),
+ python3-libtmux (>= 0.39.0-1~),
  python3-setuptools,
  tmux,
  vulture,
@@ -43,7 +43,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- python3-libtmux (>= 0.23.2-1),
+ python3-libtmux (>= 0.39.0-1),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

## tmuxp 1.50.1

=== debian/changelog ===
tmuxp (1.50.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.50.1
  * Depend on libtmux >= 0.40.1

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Dec 2024 07:43:28 +0100

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- python3-libtmux (>= 0.39.0-1),
+ python3-libtmux (>= 0.40.1-1),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

## tmuxp 1.52.2

=== debian/changelog ===
tmuxp (1.52.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.52.2
  * Depend on python3-libtmux >= 0.42
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.

 -- Sebastien Delafond <seb@debian.org>  Tue, 04 Feb 2025 10:09:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: utils
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
@@ -11,7 +11,7 @@
  python3-flake8,
  python3-hatchling,
  python3-isort,
- python3-libtmux (>= 0.39.0-1~),
+ python3-libtmux (>= 0.42.0~),
  python3-setuptools,
  tmux,
  vulture,
@@ -43,7 +43,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- python3-libtmux (>= 0.40.1-1),
+ python3-libtmux (>= 0.42.0~),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

## tmuxp 1.54.0

=== debian/changelog ===
tmuxp (1.54.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.54.0
  * Depend on python3-libtmux >= 0.45

 -- Sebastien Delafond <seb@debian.org>  Mon, 24 Feb 2025 08:28:17 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-flake8,
  python3-hatchling,
  python3-isort,
- python3-libtmux (>= 0.42.0~),
+ python3-libtmux (>= 0.45.0~),
  python3-setuptools,
  tmux,
  vulture,
@@ -43,7 +43,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- python3-libtmux (>= 0.42.0~),
+ python3-libtmux (>= 0.45.0~),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

## tmuxp 1.55.0

=== debian/changelog ===
tmuxp (1.55.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.55.0
  * Bump-up Standards-Version
  * Depend on python3-libtmux >= 0.46

 -- Sebastien Delafond <seb@debian.org>  Sun, 16 Mar 2025 09:41:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
  python3-flake8,
  python3-hatchling,
  python3-isort,
- python3-libtmux (>= 0.45.0~),
+ python3-libtmux (>= 0.46.0~),
  python3-setuptools,
  tmux,
  vulture,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tony/tmuxp/
 Vcs-Git: https://salsa.debian.org/debian/tmuxp.git
 Vcs-Browser: https://salsa.debian.org/debian/tmuxp
@@ -43,7 +43,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- python3-libtmux (>= 0.45.0~),
+ python3-libtmux (>= 0.46.0~),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-

## tmuxp 1.56.0

=== Makefile ===
PY_FILES= find . -type f -not -path '*/\.*' | grep -i '.*[.]py$$' 2> /dev/null
TEST_FILES= find . -type f -not -path '*/\.*' | grep -i '.*[.]\(yaml\|py\)$$' 2> /dev/null
DOC_FILES= find . -type f -not -path '*/\.*' | grep -i '.*[.]rst\$\|.*[.]md\$\|.*[.]css\$\|.*[.]py\$\|mkdocs\.yml\|CHANGES\|TODO\|.*conf\.py' 2> /dev/null
SHELL := /bin/bash

entr_warn: 
	@echo "----------------------------------------------------------"
	@echo "     ! File watching functionality non-operational !      "
	@echo "                                                          "
	@echo "Install entr(1) to automatically run tasks on file change."
	@echo "See https://eradman.com/entrproject/                      "
	@echo "----------------------------------------------------------"

test:
	uv run py.test $(test)

start:
	$(MAKE) test; uv run ptw .

watch_test:
	if command -v entr > /dev/null; then ${TEST_FILES} | entr -c $(MAKE) test; else $(MAKE) test entr_warn; fi

build_docs:
	$(MAKE) -C docs html

watch_docs:
	if command -v entr > /dev/null; then ${DOC_FILES} | entr -c $(MAKE) build_docs; else $(MAKE) build_docs entr_warn; fi

serve_docs:
	$(MAKE) -C docs serve

dev_docs:
	$(MAKE) -j watch_docs serve_docs

start_docs:
	$(MAKE) -C docs start

design_docs:
	$(MAKE) -C docs design

ruff_format:
	uv run ruff format .

ruff:
	uv run ruff check .

watch_ruff:
	if command -v entr > /dev/null; then ${PY_FILES} | entr -c $(MAKE) ruff; else $(MAKE) ruff entr_warn; fi

mypy:
	uv run mypy `${PY_FILES}`

watch_mypy:
	if command -v entr > /dev/null; then ${PY_FILES} | entr -c $(MAKE) mypy; else $(MAKE) mypy entr_warn; fi

format_markdown:
	npx prettier --parser=markdown -w *.md docs/*.md docs/**/*.md CHANGES

monkeytype_create:
	uv run monkeytype run `uv run which py.test`

monkeytype_apply:
	uv run monkeytype list-modules | xargs -n1 -I{} sh -c 'uv run monkeytype apply {}'

=== docs/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = poetry run sphinx-build
+SPHINXBUILD   = uv run sphinx-build
 PAPER         =
 BUILDDIR      = _build
 
@@ -182,8 +182,8 @@
 	$(MAKE) -j watch serve
 
 start:
-	poetry run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} $(O)
+	uv run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} $(O)
 
 design:
 	# This adds additional watch directories (for _static file changes) and disable incremental builds
-	poetry run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} --watch "." -a $(O)
+	uv run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} --watch "." -a $(O)

=== debian/changelog ===
tmuxp (1.56.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.56.0

 -- Sebastien Delafond <seb@debian.org>  Thu, 06 Nov 2025 12:20:45 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-flake8,
  python3-hatchling,
  python3-isort,
- python3-libtmux (>= 0.46.0~),
+ python3-libtmux (>= 0.47.0~),
  python3-setuptools,
  tmux,
  vulture,
@@ -43,7 +43,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- python3-libtmux (>= 0.46.0~),
+ python3-libtmux (>= 0.47.0~),
  ${python3:Depends},
 Description: tmux session manager (Python 3)
  tmux session manager allowing both JSON and YAML configuration

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-setuptools, python3-all, python3-hypothesis, python3-pytest, python3-pytest-rerunfailures, python3-pytest-mock
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/t/tmuxp/
Matching-Pattern: tmuxp-@ANY_VERSION@@ARCHIVE_EXT@
